import 'dart:io';
import 'package:plugin_codelab_new/models/media_source.dart';
import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'list_tile_widget.dart';

class CameraButtonWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) => ListTileWidget(
        text: 'From Camera',
        icon: Icons.camera_alt,
        onClicked: () => pickCameraMedia(context),
      );

  Future pickCameraMedia(BuildContext context) async {
    final MediaSource source = ModalRoute.of(context).settings.arguments;

    final getMedia = source == MediaSource.image
        ? ImagePicker().getImage
        : ImagePicker().getVideo;

    final media = await getMedia(source: ImageSource.camera);
    final file = File(media.path);

    Navigator.of(context).pop(file);
  }

  // Future<void> getDrawing() {
  //   final getDraw =
  //       Navigator.push(context, MaterialPageRoute(builder: (context) {
  //     return SourcePage();
  //   })).then((getDraw) {
  //     if (getDraw != null) {
  //       setState(() {
  //         _drawImage = getDraw;
  //       });
  //     }
  //   }).catchError((er) {
  //     print(er);
  //   });
  // }
}
